apt 3.1.11 commandline package manager

Classes | Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
pkgAcqMethod Class Reference
Acquire system {{{

## Classes
struct | FetchItem
struct | FetchResult

## Public Types
enum | CnfFlags { SingleInstance = (1 << 0) , Pipeline = (1 << 1) , SendConfig = (1 << 2) , LocalOnly = (1 << 3) , NeedsCleanup = (1 << 4) , Removable = (1 << 5) , AuxRequests = (1 << 6) , SendURIEncoded = (1 << 7) }

## Public Member Functions
void | Log (const char *Format,...)
void | Status (const char *Format,...)
void | Redirect (const std::string &NewURI)
int | Run (bool Single=false)
void | SetFailReason (std::string Msg)
void | SetIP (std::string aIP)
| pkgAcqMethod (const char *Ver, unsigned long Flags=0)
void | DropPrivsOrDie ()

## Protected Member Functions
virtual bool | Configuration (std::string Message)
virtual bool | Fetch (FetchItem *)
virtual bool | URIAcquire (std::string const &, FetchItem *Itm)
void | Fail (bool Transient=false)
void | FailWithContext (std::string Why, bool Transient, std::unordered_map< std::string, std::string > &fields)
void | Fail (const char *Why, bool Transient=false)
virtual void | Fail (std::string Why, bool Transient=false)
virtual void | URIStart (FetchResult &Res)
virtual void | URIDone (FetchResult &Res, FetchResult *Alt=0)
void | SendMessage (std::string const &header, std::unordered_map< std::string, std::string > &&fields)
bool | MediaFail (std::string Required, std::string Drive)
virtual void | Exit ()

## Protected Attributes
std::vector< std::string > | Messages
FetchItem * | Queue
FetchItem * | QueueBack
std::string | FailReason
std::string | UsedMirror
std::string | IP

The documentation for this class was generated from the following files:

- apt-pkg/acquire-method.h
- apt-pkg/acquire-method.cc